StringAppendTransformer (Mule ESB 2.2.1 API)
Keywords: org.mule.transformer.simple.StringAppendTransformer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transformer.simple
Class StringAppendTransformer

    java.lang.Object
      org.mule.transformer.AbstractTransformer
          org.mule.transformer.simple.StringAppendTransformer

All Implemented Interfaces:
  Initialisable, NamedObject, BaseTransformer, Transformer

Direct Known Subclasses:
  StringAppendTestTransformer

    public class StringAppendTransformer

extends AbstractTransformer

Field Summary

Fields inherited from class org.mule.transformer.AbstractTransformer
`DEFAULT_TRUNCATE_LENGTH, endpoint, logger, name, returnClass, sourceTypes`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`StringAppendTransformer()`
`StringAppendTransformer(String message)`

Method Summary
`static String` | `append(String append, String msg)`
`protected Object` | `doTransform(Object src, String encoding)`
`String` | `getMessage()`
`void` | `setMessage(String message)`

Methods inherited from class org.mule.transformer.AbstractTransformer
`checkReturnClass, generateTransformerName, getEndpoint, getName, getReturnClass, getSourceTypes, initialise, isAcceptNull, isConsumed, isIgnoreBadInput, isSourceTypeSupported, isSourceTypeSupported, registerSourceType, setEndpoint, setIgnoreBadInput, setName, setReturnClass, toString, transform, unregisterSourceType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StringAppendTransformer

    public StringAppendTransformer()

### StringAppendTransformer

    public StringAppendTransformer(String message)

Method Detail

### doTransform

    protected Object doTransform(Object src,
                                 String encoding)
                          throws TransformerException

  Specified by:
    `doTransform` in class `AbstractTransformer`
  Throws:
    `TransformerException`

### append

    public static String append(String append,
                                String msg)

### getMessage

    public String getMessage()

### setMessage

    public void setMessage(String message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.